Jump to content
2001kraft

[IV] AdvancedHookInit.asi: Present = Crash, Missing = Nope

Recommended Posts

Hi there.

I apologize for suddenly bombarding you with my exquisitely banal problem, which despite being so pathetic, does not allow me to enjoy this mod. First thing's first, my specs:

2.9 GHz Intel Core i5

16GB 1867 MHz DDR3

Intel Iris Graphics 6100 1536MB

Next, problem.

The cursed AdvancedHookInit.asi. It has been present in a similar problem. What happens is, if it's present in the GTA IV folder, the game crashes. If the file is missing, the mod crashes on game load. The game functions fine afterwards. LCPDFR.log

Spoiler

[INFO - 1:58:46 AM] [Log] Started
[INFO - 1:58:46 AM] [Main] Main: Initializing...
[INFO - 1:58:46 AM] [Main] Main: LCPDFR Engine (C) 2011-2013 LMS
[INFO - 1:58:46 AM] [Main] Main: DO NOT USE THIS WITHOUT PERMISSION. YOU MAY NOT SHARE, MODIFY OR DECOMPILE THIS FILE.
[ERROR - 1:58:46 AM] [] System.MissingMethodException: Method not found: 'Void AdvancedHookManaged.APed.HookCreatePed()'.
   at ‭‬‏‏‌‭‭‭‎‪‌‬‎‭‮‮‭‌‏‌‫‌‮‪‮.‏‫‮‫‍‏‪‫‪‬‌‎‎‏‌‮‌‭‏‍‮()
   at ‭‬‏‏‌‭‭‭‎‪‌‬‎‭‮‮‭‌‏‌‫‌‮‪‮.‮‪‏‫‌‫‎‮‪‏‬‍‪‏‪‏‫‭‮‭‫‌‫‮() in d:\GTA IV\LCPDFR\SVN\trunk\LCPD First Response\Engine\Scripting\Entities\PoolUpdaterUnmanaged.cs:line 117
   at ‭‬‏‏‌‭‭‭‎‪‌‬‎‭‮‮‭‌‏‌‫‌‮‪‮..ctor() in d:\GTA IV\LCPDFR\SVN\trunk\LCPD First Response\Engine\Scripting\Entities\PoolUpdaterUnmanaged.cs:line 14
   at LCPD_First_Response.Engine.Main.‬‬‍‎‪‬‫‏‭‫‪‭‪‌‪‭‪‎‫‭‪‌‮() in d:\GTA IV\LCPDFR\SVN\trunk\LCPD First Response\Engine\Main.cs:line 162
   at LCPD_First_Response.Engine.Main.‎‏‌‌‬‏‎‍‏‮‬‎‌‭‮‏‪‎‪‌‮‭‭‫‬‍‌‎‮() in d:\GTA IV\LCPDFR\SVN\trunk\LCPD First Response\Engine\Main.cs:line 222

Do note that I have never seen a log like that before (bottom half).

My directory functions fine, and I have the MechanicMod.cs and the Indicator Script installed, which as far as I'm aware do not conflict with LCPDFR since the Indicator Script is found on this website. Regardless of that knowledge, I did try removing them, which didn't help. Another thing to note is that AdvancedHookInit.asi does create a log, which means, I think, that the dependencies (VS2010 and 2012 (I have 2003, 2015, and everything in between), as-well as the required DotNets) are present.

Edited by 2001kraft

Share this post


Link to post
Share on other sites

UPDATE: manually installed the taser. That didn't solve the problem. The problem is with the loader I think, because as soon as the game loads, a message pops up saying that LCPDFR.Loader.Loader experienced a fatal error and needs to close, don't remember the exact wording. Same log as before.

Share this post


Link to post
Share on other sites

cDWkl5Q.png

Your thread has been moved to LCPDFR Support Requests as it isn't a LSPDFR Support Request. 

 

Hello there -- welcome to LCPDFR.com and thanks for trying out LCPDFR!

Please do the following: 

  • Make sure you aren't using a crack - We don't support cracks or people using pirated software
  • Update GTA IV to 1.0.7.0 (the latest version of the game, or 1.1.2.0 for EFLC) - These patches are needed.  
  • Make sure that you run the game as an administrator.
  • Make sure that your GTA IV root folder (and every subdirectory) is not set to "read-only"
  • Ensure that AdvancedHook.dll, ScriptHook.dll, ScriptHookDotNet.asi and Dsound.dll OR Xlive.dll are in the GTA IV ROOT folder
  • Ensure that there is a folder titled 'LCPDFR' in the ROOT GTA IV folder.
  • Check that all the above files exist, if they do not, reinstall LCPDFR with the MANUAL installation.
  • Ensure that you are using up to date versions of every LCPDFR dependency and LCPDFR itself.
  • Install these: https://www.microsoft.com/en-us/download/details.aspx?id=30653 , https://www.microsoft.com/en-us/download/details.aspx?id=30679 

In some cases, your issue is resolved after following the above steps. If it did help, please let everyone know in the topic that your issue is resolved. If you do have to post a topic, do the following;  

  • Give a clear, detailed description of the problem.
  • Explain any circumstances surrounding the problem.
  • State what solutions you have tried.
  • Post ALL relevant logs (LCPDFR.log, Scripthook.log, ScriptHookDotNet.log, AdvancedHook.log).
  • Include as much information as possible.
  • Post your system specifications.
  • Post what other mods you are using. This includes car and script mods.
  • Post a screenshot of your GTA IV or EFLC game directory. 

Please note that failure to follow these instructions may cause this thread to be closed.

Share this post


Link to post
Share on other sites

Let me expand, then:

Legit copy of GTA IV 1.0.7.0; xLive.dll; all necessary files are present. LCPDFR 1.1, all dependencies are present (DotNet 4.5 and below, Visual Studio 2003 - 2015 (all of them), DirectX 9). Indicator Script and the Mechanic Mod.

Below are the rest of the logs, problem described in first two posts.

AdvancedHook.log

LCPDFR.log

ScriptHook.log

ScriptHookDotNet.log

Share this post


Link to post
Share on other sites

List of things I just tried:

PreloadAllModels=True in LCPDFR.ini

Replaced AdvancedHook.dll

Set VehicleTrunkWeapons to nothing; nothing after equal sign.

LCPDFR.log in result:

[INFO - 3:01:30 PM] [Log] Started
[INFO - 3:01:30 PM] [Main] Main: Initializing...
[INFO - 3:01:30 PM] [Main] Main: LCPDFR Engine (C) 2011-2013 LMS
[INFO - 3:01:30 PM] [Main] Main: DO NOT USE THIS WITHOUT PERMISSION. YOU MAY NOT SHARE, MODIFY OR DECOMPILE THIS FILE.
[ERROR - 3:01:30 PM] [] System.FieldAccessException: Attempt by method '‭‬‏‏‌‭‭‭‎‪‌‬‎‭‮‮‭‌‏‌‫‌‮‪‮..ctor()' to access field 'GTA.base.HandleObject.pHandle' failed.
   at ‭‬‏‏‌‭‭‭‎‪‌‬‎‭‮‮‭‌‏‌‫‌‮‪‮..ctor() in d:\GTA IV\LCPDFR\SVN\trunk\LCPD First Response\Engine\Scripting\Entities\PoolUpdaterUnmanaged.cs:line 33
   at LCPD_First_Response.Engine.Main.‬‬‍‎‪‬‫‏‭‫‪‭‪‌‪‭‪‎‫‭‪‌‮() in d:\GTA IV\LCPDFR\SVN\trunk\LCPD First Response\Engine\Main.cs:line 162
   at LCPD_First_Response.Engine.Main.‎‏‌‌‬‏‎‍‏‮‬‎‌‭‮‏‪‎‪‌‮‭‭‫‬‍‌‎‮() in d:\GTA IV\LCPDFR\SVN\trunk\LCPD First Response\Engine\Main.cs:line 222

 

Edited by 2001kraft

Share this post


Link to post
Share on other sites

I have a feeling that I'm missing an important dependency, here's the list of things I have installed atm:

DirectX 9
Visual Studio 2003-2015
Visual Basic Runtime 5.0, 6.0 sp6
.NET Framework 2.0, 2.0 sp 1, 3.0 sp1, 3.5, 4.0, 4.5
MSXML Core Services 3.0
 

Do I really need anything else here?

Share this post


Link to post
Share on other sites
20 hours ago, 2001kraft said:

I have a feeling that I'm missing an important dependency, here's the list of things I have installed atm:

DirectX 9
Visual Studio 2003-2015
Visual Basic Runtime 5.0, 6.0 sp6
.NET Framework 2.0, 2.0 sp 1, 3.0 sp1, 3.5, 4.0, 4.5
MSXML Core Services 3.0
 

Do I really need anything else here?

Not sure if this is the problem but I think you need to 2005 and up, try deleting 2003-2004

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×